Skip to main content
POST
/
applications
JavaScript
import Gizmo from '@gizmo-os/sdk';

const client = new Gizmo({
  apiKey: process.env['GIZMO_API_KEY'], // This is the default and can be omitted
});

const application = await client.applications.create({
  leadProviderSlug: 'leadProviderSlug',
  primaryBorrowerEmail: 'primaryBorrowerEmail',
  primaryBorrowerFirstName: 'primaryBorrowerFirstName',
  primaryBorrowerLastName: 'primaryBorrowerLastName',
  primaryBorrowerPhone: 'primaryBorrowerPhone',
  subjectPropertyState: 'al',
});

console.log(application.id);
import os
from gizmo_sdk import Gizmo

client = Gizmo(
    api_key=os.environ.get("GIZMO_API_KEY"),  # This is the default and can be omitted
)
application = client.applications.create(
    lead_provider_slug="leadProviderSlug",
    primary_borrower_email="primaryBorrowerEmail",
    primary_borrower_first_name="primaryBorrowerFirstName",
    primary_borrower_last_name="primaryBorrowerLastName",
    primary_borrower_phone="primaryBorrowerPhone",
    subject_property_state="al",
)
print(application.id)
curl --request POST \
  --url https://core.usegizmo.com/v1/applications \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "primaryBorrowerFirstName": "<string>",
  "primaryBorrowerLastName": "<string>",
  "primaryBorrowerEmail": "<string>",
  "primaryBorrowerPhone": "<string>",
  "leadProviderSlug": "<string>",
  "primaryBorrowerDateOfBirth": "<string>",
  "primaryBorrowerSsn": "<string>",
  "subjectPropertyStreetAddress": "<string>",
  "subjectPropertyCity": "<string>",
  "subjectPropertyZip": "<string>",
  "losId": "<string>",
  "crmId": "<string>",
  "teamId": "<string>"
}
'


{
  "id": "<string>"
}
{
  "error": {
    "message": "<string>",
    "data": "<unknown>"
  }
}
{
  "kind": "<string>",
  "name": "<string>",
  "retryAfter": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
primaryBorrowerFirstName
string
required
primaryBorrowerLastName
string
required
primaryBorrowerEmail
string
required
primaryBorrowerPhone
string
required
subjectPropertyState
enum<string>
required

The two-letter state abbreviation in lowercase

Available options:
al,
ak,
az,
ar,
ca,
co,
ct,
de,
dc,
fl,
ga,
hi,
id,
il,
in,
ia,
ks,
ky,
la,
me,
md,
ma,
mi,
mn,
ms,
mo,
mt,
ne,
nv,
nh,
nj,
nm,
ny,
nc,
nd,
oh,
ok,
or,
pa,
ri,
sc,
sd,
tn,
tx,
ut,
vt,
va,
wa,
wv,
wi,
wy
leadProviderSlug
string
required
primaryBorrowerDateOfBirth
string
primaryBorrowerSsn
string
subjectPropertyStreetAddress
string
subjectPropertyCity
string
subjectPropertyZip
string
loanPurpose
enum<string>
Available options:
purchase,
refi,
refiCashOut
losId
string
crmId
string
teamId
string

Response

The created Application ID

id
string
required
Required string length: 32